#
# spec file for package perl-PDA-Pilot (Version 0.11.8)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libpng libstdc++ libstdc++-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions pilot-link pilot-link-devel popt procinfo procps psmisc pwdutils rcs readline readline-devel resmgr rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           perl-PDA-Pilot
BuildRequires:  gcc-c++ pilot-link-devel
URL:            http://www.pilot-link.org/
Version:        0.11.8
Release:        138.2
License:        LGPL
Group:          Development/Libraries/Perl
Autoreqprov:    on
Summary:        PalmPilot Perl Modules
Source:         pilot-link-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description -n perl-PDA-Pilot
This package contains Perl modules for communicating with the Palm
Pilot.



Authors:
--------
    Kenneth Albanowski <kjahds@kjahds.com>

%debug_package
%prep
%setup -q -n pilot-link-%{version}
%{?suse_update_config:%{suse_update_config -f scripts}}

%build
./configure --prefix=/usr --mandir=%{_mandir} --libdir=%_libdir
cd bindings/Perl
perl Makefile.PL
make

%install
[ "$RPM_BUILD_ROOT" != "/" -a -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
cd bindings/Perl
make DESTDIR=$RPM_BUILD_ROOT install_vendor INSTALLDIRS=vendobr
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc bindings/Perl/README bindings/Perl/test.pl
%{perl_vendorarch}/PDA
%dir %{perl_vendorarch}/auto/PDA
%{perl_vendorarch}/auto/PDA/Pilot
/var/adm/perl-modules/%{name}

%changelog -n perl-PDA-Pilot
* Wed Mar 29 2006 - dgollu@suse.de
- downgrade to pilot-link version 0.11.8
  0.12.0-prev4 is not supposed to be packaged
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Aug 05 2005 - lmichnovic@suse.cz
- update to version 0.12.0-pre4
* Tue Jul 29 2003 - ro@suse.de
- added directory to filelist
* Tue Jul 29 2003 - postadal@suse.cz
- updated to version 0.11.8
  * you no longer have to hit HotSync on the Palm first, before launching your
  desktop conduits. You can hit HotSync first, or launch your desktop
  conduit/tools first, and it will still make an attempt to connect.
  This also works with gnome-pilot and J-Pilot as well.
  * pilot-foto conduit to fetch/convert photos taken with a Palm Zire71
  camera device
* Tue Jul 29 2003 - ro@suse.de
- re-add perllocal.pod snippet to filelist
* Mon Jul 28 2003 - ro@suse.de
- install to vendor location
* Thu Jun 19 2003 - mmj@suse.de
- Own all dirs
* Wed May 14 2003 - mmj@suse.de
- Remove files we don't want to package
* Fri Jan 17 2003 - postadal@suse.cz
- updated to version 0.11.7
* Fri Oct 25 2002 - uli@suse.de
- update -> 0.11.5
* Fri Aug 09 2002 - mls@suse.de
- made it compile with perl-8
* Thu Jul 18 2002 - uli@suse.de
- fixed for lib64 archs
* Wed May 15 2002 - hhetter@suse.de
- adapted patches for pilot-sync 0.9.5
* Mon Nov 27 2000 - grimmer@suse.de
- split package from plink/pilot-link
